Dimdim experts,

  I have downloaded the Centos 32bit package of Dimdim and followed the steps.  I am trying to install everything on a 5.4 Centos system.  I edited the /etc/issue file to reflect Centos 5.2 so that it skips past the OS check.    I downloaded flup1.0.2 in case that matters.  I have it installed for both python2.4 and python2.5.  Both 2.4 and 2.5 import flup without any module errors.  However, when I run the rpm install for Dimdim, I get the following:

 

[root@tippy Dimdim_RPM_Package_v4.5]# rpm -ivh Dimdim-4.5_SF_i386.rpm

Preparing...                ########################################### [100%]

Checking preinstall checks

CentOS release 5.2 (Final)

Success...

Please wait...

Error, Flup-1.0 is not installed

Exit Status..

error: %pre(dimdim-4.5-1.i386) scriptlet failed, exit status 1

error:   install: %pre scriptlet failed (2), skipping dimdim-4.5-1

 

1.       Is flup1.0.2 significantly different from flup1.0?  Do I need to consider dropping back to 1.0?

2.       Do I really need to drop back to Centos 5.2 and never perform updates?

3.       Any other thought as to why the rpm can’t find flup?

 

Tim Tyler

Network Engineer

Beloit College